LPCOpen Platform for LPC18XX/43XX microcontrollers: LPC_SCU_T Struct Reference

| LPCOpen Platform for LPC18XX/43XX microcontrollers 18XX43XX LPCOpen Platform for the NXP LPC18XX/43XX family of Microcontrollers

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
LPC_SCU_T Struct Reference
CHIP: LPC18xx/43xx SCU Driver (configures pin functions)

## Detailed Description

System Control Unit register block.

Definition at line 52 of file scu_18xx_43xx.h.

`#include "scu_18xx_43xx.h"`

## Data Fields
__IO uint32_t | SFSP [16][32]
__I uint32_t | RESERVED0 [256]
__IO uint32_t | SFSCLK [4]
__I uint32_t | RESERVED16 [28]
__IO uint32_t | SFSUSB
__IO uint32_t | SFSI2C0
__IO uint32_t | ENAIO [3]
__I uint32_t | RESERVED17 [27]
__IO uint32_t | EMCDELAYCLK
__I uint32_t | RESERVED18 [63]
__IO uint32_t | PINTSEL [2]

## Field Documentation

__IO uint32_t EMCDELAYCLK

EMC clock delay register

Definition at line 61 of file scu_18xx_43xx.h.

__IO uint32_t ENAIO[3]

Analog function select registerS

Definition at line 59 of file scu_18xx_43xx.h.

__IO uint32_t PINTSEL[2]

Pin interrupt select register for pin int 0 to 3 index 0, 4 to 7 index 1.

Definition at line 63 of file scu_18xx_43xx.h.

__I uint32_t RESERVED0[256]

Definition at line 54 of file scu_18xx_43xx.h.

__I uint32_t RESERVED16[28]

Definition at line 56 of file scu_18xx_43xx.h.

__I uint32_t RESERVED17[27]

Definition at line 60 of file scu_18xx_43xx.h.

__I uint32_t RESERVED18[63]

Definition at line 62 of file scu_18xx_43xx.h.

__IO uint32_t SFSCLK[4]

Pin configuration register for pins CLK0-3

Definition at line 55 of file scu_18xx_43xx.h.

__IO uint32_t SFSI2C0

Pin configuration register for I2C0-bus pins

Definition at line 58 of file scu_18xx_43xx.h.

__IO uint32_t SFSP[16][32]

Definition at line 53 of file scu_18xx_43xx.h.

__IO uint32_t SFSUSB

Pin configuration register for USB

Definition at line 57 of file scu_18xx_43xx.h.

The documentation for this struct was generated from the following file:

- C:/w/lpcopen_docs/software/lpc_core/lpc_chip/chip_18xx_43xx/scu_18xx_43xx.h